eID middleware |

# be::portugal::eid::PTEID_ExBadTransaction Class Reference

Exception class Bad Transaction (error code = EIDMW_ERR_BAD_TRANSACTION). More...

Inheritance diagram for be::portugal::eid::PTEID_ExBadTransaction:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExBadTransaction ()

## Detailed Description

Exception class Bad Transaction (error code = EIDMW_ERR_BAD_TRANSACTION).

Throw when a class/function is not used correctly. Used in :

- PTEID_ReaderContext::Lock()
- PTEID_ReaderContext::Unlock()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExBadTransaction::PTEID_ExBadTransaction | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExBadTransaction::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.